Bug 171466 - New port: finance/trytond_sale_price_list
Summary: New port: finance/trytond_sale_price_list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 17:40 UTC by Matthias Petermann
Modified: 2012-09-18 09:10 UTC (History)
0 users

See Also:


Attachments
file.shar (6.09 KB, text/plain)
2012-09-08 17:40 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 17:40:03 UTC
This port adds the Sale Price List Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-09 14:11:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-18 08:21:35 UTC
Author: wen
Date: Tue Sep 18 07:21:25 2012
New Revision: 304431
URL: http://svn.freebsd.org/changeset/ports/304431

Log:
  This port adds the Sale Price List Module to the Tryton Application Platform.
  
  WWW: http://www.tryton.org/
  
  PR:		171466
  Submitted by:	Matthias Petermann <matthias@d2ux.net>

Added:
  head/finance/trytond_sale_price_list/
  head/finance/trytond_sale_price_list/Makefile   (contents, props changed)
  head/finance/trytond_sale_price_list/distinfo   (contents, props changed)
  head/finance/trytond_sale_price_list/pkg-descr   (contents, props changed)
  head/finance/trytond_sale_price_list/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Tue Sep 18 07:18:15 2012	(r304430)
+++ head/finance/Makefile	Tue Sep 18 07:21:25 2012	(r304431)
@@ -122,6 +122,7 @@
     SUBDIR += trytond_purchase
     SUBDIR += trytond_sale
     SUBDIR += trytond_sale_opportunity
+    SUBDIR += trytond_sale_price_list
     SUBDIR += trytond_stock
     SUBDIR += trytond_timesheet
     SUBDIR += venice

Added: head/finance/trytond_sale_price_list/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_sale_price_list/Makefile	Tue Sep 18 07:21:25 2012	(r304431)
@@ -0,0 +1,26 @@
+# New ports collection makefile for:	trytond_sale_price_list
+# Date created:		08 September, 2012
+# Whom:			Matthias Petermann<matthias@petermann.it>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	trytond_sale_price_list
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Sale Price List Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_party>=2.4.0:${PORTSDIR}/finance/trytond_party \
+		trytond_sale>=2.4.0:${PORTSDIR}/finance/trytond_sale \
+		trytond_product_price_list>=2.4.0:${PORTSDIR}/finance/trytond_product_price_list
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_sale_price_list/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_sale_price_list/distinfo	Tue Sep 18 07:21:25 2012	(r304431)
@@ -0,0 +1,2 @@
+SHA256 (trytond_sale_price_list-2.4.0.tar.gz) = 6ae0fc549575d24e893d45a0f8e2b490e5a0ebd32f47bda789e46fe7957b1d8c
+SIZE (trytond_sale_price_list-2.4.0.tar.gz) = 19118

Added: head/finance/trytond_sale_price_list/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_sale_price_list/pkg-descr	Tue Sep 18 07:21:25 2012	(r304431)
@@ -0,0 +1,3 @@
+This port adds the Sale Price List Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_sale_price_list/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_sale_price_list/pkg-plist	Tue Sep 18 07:21:25 2012	(r304431)
@@ -0,0 +1,47 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/party.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/party.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/party.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/party.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/product.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/product.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/product.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/sale.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/sale.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/sale.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/sale.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/test_sale_price_list.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/test_sale_price_list.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests/test_sale_price_list.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/sale_price_list
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-09-18 09:10:44 UTC
State Changed
From-To: open->closed

New port added. Thanks!